.tgrep.sidebar
	+column(25%, medium)
	overflow: hidden

	h3
		margin-bottom: ($grid / 4)

	+respond-to(medium)
		@include gradient-border(after)
		display: none

		&:after
			margin-top: (-$border-width)

.tgrep.sidebar_count
	@extend %count

.tgrep.sidebar_expand
	+icon('caret-down')
	+modify-button(pale, small)
	margin: (-$grid) 0 $grid

.tgrep.sidebar_heading
	margin: 0 0 ($grid / 2)
	padding-top: ($grid / 2)

.tgrep.sidebar_item
	padding-left: 1em
	text-indent: -1em

	&:nth-child(n+6)
		display: none

	&:nth-child(6):last-child
		display: list-item

	&.-current > a
		@include auto-color-for($primary-color)
		background: $primary-color
		border-radius: $br
		padding: 0 ($grid / 4)

	&.-filter
		background: $pale-color
		border-radius: $br
		padding: 0 ($grid / 4) 0 $grid // Make room for remove button
		margin-bottom: ($grid / 4)
		text-indent: 0

.tgrep.sidebar_link
	white-space: normal

.tgrep.sidebar_panel
	overflow: hidden

.tgrep.sidebar_remove-filter
	+icon('times')
	border: 0
	left: ($grid / 4)
	position: absolute

	&:hover
		border: 0
